<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PieceRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'name' => 'nullable',
            'description' => 'nullable',
            'prix' => 'nullable|regex:#^[0-9]{1,5}(\.[0-9]{1,2})?$#',
            'nationality' => 'nullable|integer|exists:nationalities,id',
            'user' => 'nullable|integer|exists:users,id',
        ];
    }
}
