@auth
<x-app-layout>
    <button class="border-2 border-green-500"><a href="{{ route('piece.edit', ['piece' => $piece]) }}">Créer une autre pièce</a></button>
    <div class="flex justify-center">
        <div class="w-2/5">
            <div class="border-2 border-red-900 flex flex-col">
                <h2 class="text-center">{{ $piece->name }}</h2>
                <p><b>Description : </b>{{ $piece->description }}</p>
                <p><b>Prix : </b>{{ $piece->prix }} €</p>
                <p><b>Nationalité : </b>{{ $piece->nationality->name ?? ''}}</p>
                <br>
                <div>
                    @if ($piece->users->isNotEmpty())
                    <ul>
                        @foreach ($piece->users as $user)
                        <li>{{ $user->name }}</li>
                        @endforeach
                    </ul>
                    @endif
                </div>
                {{-- <p><b>Quantité : </b>{{ $piece_user->quantity }}</p> --}}
            </div>
            <div class="flex">
                <button class="border-2 border-green-500"><a href="{{ route('piece.edit', ['piece' => $piece]) }}">MODIFIER</a></button>
                <form class="border-2 border-green-500" action="{{ route('piece.destroy', ['piece'=>$piece]) }}" method="POST">
                    @csrf
                    @method('DELETE')
                    <button type="submit">SUPPRIMER</button>
                </form>
            </div>
        </div>
    </div>
</x-app-layout>
@endauth

@guest
<x-guest-layout>
    <div class="flex justify-center">
        <div class="w-2/5">
            <div class="border-2 border-red-900 flex flex-col">
                <h2 class="text-center">{{ $piece->name }}</h2>
                <p><b>Description : </b>{{ $piece->description }}</p>
                <p><b>Prix : </b>{{ $piece->prix }} €</p>
                <p><b>Nationalité : </b>{{ $piece->nationality->name ?? ''}}</p>
            </div>
        </div>
    </div>
</x-guest-layout>
@endguest
