<?php

use App\Http\Controllers\PieceController;
use App\Http\Controllers\Admin\PieceController as AdminPieceController;
use App\Http\Controllers\NationalityController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('home');
})->name('home');

// GUEST
Route::get('/piece', [PieceController::class, 'index'])->name('piece.index');
Route::get('/piece/create', [PieceController::class, 'create'])->name('piece.create');
Route::post('/piece', [PieceController::class, 'store'])->name('piece.store');
Route::get('/piece/{piece}', [PieceController::class, 'show'])->name('piece.show');
Route::get('/piece/{piece}/edit', [PieceController::class, 'edit'])->name('piece.edit');
Route::put('/piece/{piece}', [PieceController::class, 'update'])->name('piece.update');
Route::delete('/piece/{piece}', [PieceController::class, 'destroy'])->name('piece.destroy');


Route::get('/nationality/{nationality}', [NationalityController::class, 'show'])->name('nationality.show');



// CONNECTED
Route::middleware([
    'auth:sanctum',
    config('jetstream.auth_session'),
    'verified'
])->group(function () {
    Route::get('/dashboard', function () {
        return view('dashboard');
    })->name('dashboard');
});

Route::group(['as' => 'admin.', 'prefix'=>'admin/'], function () {
    Route::resource('piece', AdminPieceController::class);
    // Route::resource('nationality', AdminNationalityController::class);
    // Route::resource('user', AdminUserController::class);
});
